var ObjectID = require("mongodb").ObjectID;
module.exports = function (app, db) {
  app.get("/notes", (req, res) => {
    db.collection("test")
      .find({})
      .toArray((err, item) => {
        if (err) {
          res.send({ error: "An error" });
        } else {
          console.log(item, "item");
          res.send(item);
        }
      });
    // db.collection('test').findOne(details,(err,item)=>{
    //     if(err){
    //         res.send({"error":"An error"})
    //     }else{
    //         console.log(item,'item');
    //         res.send(item)
    //     }
    // })
  });
  app.post("/notes", (req, res) => {
    const note = {
      name: req.body.name,
      content: req.body.content,
      createtime: req.body.createtime,
    };
    db.collection("test").insert(note, (err, result) => {
      if (err) {
        res.send({ error: "An error" });
      } else {
        res.send(result.ops[0]);
      }
    });
  });
};
